/**
 *	@file	DonutSimpleEventManager.h
 *	@brief	̃CxgꍇAini̎w̃L[ɏ񂾃t@Cs邽߂̃NX
 */

#define EVENT_PROCESS_START 		1
#define EVENT_INITIALIZE_COMPLETE	2
#define EVENT_CLOSING_WINDOW		3
#define EVENT_PROCESS_END			4

/*
	̃CxgꍇAini̎w̃L[ɏ񂾃t@Cs邽߂̃NX
 */
class CDonutSimpleEventManager {

	static CString ReadEventData(CString strKey) {
	  #if 1 //+++ Lq̌yʉ.
		CIniFileI	pr( g_szIniFileName, _T("Event") );
		return pr.GetString(strKey);
	  #else
		CString 	strBuf;
		CIniFileI	pr;

		pr.Open( g_szIniFileName, _T("Event") );
		pr.QueryString(strBuf, strKey, MAX_PATH);
		pr.Close();

		return strBuf;
	  #endif
	}

public:
	static void RaiseEvent(int nEventID) {
		CString strFile;
		switch (nEventID) {
		case EVENT_PROCESS_START:		strFile = ReadEventData( _T("StartProcess") ); break;
		case EVENT_INITIALIZE_COMPLETE: strFile = ReadEventData( _T("InitComplete") ); break;
		case EVENT_CLOSING_WINDOW:		strFile = ReadEventData( _T("CloseWindow")	); break;
		case EVENT_PROCESS_END: 		strFile = ReadEventData( _T("EndProcess")	); break;
		default:						ATLASSERT(FALSE);
		}

		if (!strFile.IsEmpty() && ::GetFileAttributes(strFile) != 0xFFFFFFFF)
			::ShellExecute(NULL, NULL, strFile, NULL, NULL, SW_SHOWNORMAL);
	}
};

