/**
 *	DonutConfirmOption.cpp
 *	@brief	donutIvV: mF_CAOɊւݒvpeBy[W. IɃ[U[֊mFo܂.
 *	@note
 *			IɃ[U[֊mFo܂݂܂B
 *			IɊmFsCDonutConfirmOptionƂ̐ݒs
 *			vpeBy[WCDonutConfirmPropertyPageL܂B
 */

#include "stdafx.h"
#include "DonutConfirmOption.h"
#include "../IniFile.h"


////////////////////////////////////////////////////////////////////////////////
//CDonutConfirmOption̒`
////////////////////////////////////////////////////////////////////////////////

//staticϐ̒`
DWORD		CDonutConfirmOption::s_dwFlags		= DONUT_CONFIRM_CLOSEALLEXCEPT;
DWORD		CDonutConfirmOption::s_dwStopScript = TRUE; 	//+++ sizeof(BOOL)=sizeof(DWORD)ɈˑȂ悤ɁABOOL̂DWORDɕύX.



//o֐
void CDonutConfirmOption::GetProfile()
{
	CIniFileI		pr( g_szIniFileName, _T("Confirmation") );
	pr.QueryValue( s_dwFlags, _T("Confirmation_Flags") );
	pr.QueryValue( /*(DWORD&)*/s_dwStopScript, _T("Script") );
	pr.Close();
}



void CDonutConfirmOption::WriteProfile()
{
	CIniFileO	pr( g_szIniFileName, _T("Confirmation") );
	pr.SetValue( s_dwFlags, _T("Confirmation_Flags") );
	pr.SetValue( s_dwStopScript, _T("Script") );
	pr.Close();
}



bool CDonutConfirmOption::OnDonutExit(HWND hWnd)
{
	if ( _SearchDownloadingDialog() ) {
		if ( IDYES == ::MessageBox(hWnd,
						_T("_E[h̃t@C܂ADonutIĂ낵łH"),
						_T("mF_CAO"), MB_YESNO | MB_ICONQUESTION ) )
			return true;
		else
			return false;
	}

	if ( !_check_flag(DONUT_CONFIRM_EXIT, s_dwFlags) )
		return true;

	// Note. On debug mode, If DONUT_CONFIRM_EXIT set, the process would be killed
	//		 before Module::Run returns. What can I do?
	if ( IDYES == ::MessageBox(hWnd, _T("DonutIĂ낵łH"),
								_T("mF_CAO"), MB_YESNO | MB_ICONQUESTION) ) {
		return true;
	}

	return false;
}



bool CDonutConfirmOption::OnCloseAll(HWND hWnd)
{
	if ( !_check_flag(DONUT_CONFIRM_CLOSEALL, s_dwFlags) )
		return true;

	if ( IDYES == ::MessageBox(hWnd, _T("EBhEׂĕĂ낵łH"),
							   _T("mF_CAO"), MB_YESNO | MB_ICONQUESTION) )
		return true;

	return false;
}



bool CDonutConfirmOption::OnCloseAllExcept(HWND hWnd)
{
	if ( !_check_flag(DONUT_CONFIRM_CLOSEALLEXCEPT, s_dwFlags) )
		return true;

	if ( IDYES == ::MessageBox(hWnd, _T("ȊÕEBhEׂĕĂ낵łH"),
							   _T("mF_CAO"), MB_YESNO | MB_ICONQUESTION) )
		return true;

	return false;
}



bool CDonutConfirmOption::_SearchDownloadingDialog()
{
	_Function_Searcher f;

	f = MtlForEachTopLevelWindow(_T("#32770"), NULL, f);

	return f._bFound;
}



BOOL CDonutConfirmOption::WhetherConfirmScript()
{
	if (s_dwStopScript)
		return TRUE;

	return FALSE;
}



////////////////////////////////////////////////////////////////////////////////
//CDonutConfirmPropertyPage̒`
////////////////////////////////////////////////////////////////////////////////

//RXgN^
CDonutConfirmPropertyPage::CDonutConfirmPropertyPage()
{
	_SetData();
}



//vpeBy[W̃I[o[Ch֐
BOOL CDonutConfirmPropertyPage::OnSetActive()
{
	SetModified(TRUE);
	return DoDataExchange(FALSE);
}



BOOL CDonutConfirmPropertyPage::OnKillActive()
{
	return DoDataExchange(TRUE);
}



BOOL CDonutConfirmPropertyPage::OnApply()
{
	if ( DoDataExchange(TRUE) ) {
		_GetData();
		return TRUE;
	} else
		return FALSE;
}



//֐
void CDonutConfirmPropertyPage::_GetData()
{
	DWORD dwFlags = 0;

	if (m_nExit == 1)
		dwFlags |= DONUT_CONFIRM_EXIT;

	if (m_nCloseAll == 1)
		dwFlags |= DONUT_CONFIRM_CLOSEALL;

	if (m_nCloseAllExcept == 1)
		dwFlags |= DONUT_CONFIRM_CLOSEALLEXCEPT;

	CDonutConfirmOption::s_dwStopScript = (m_nStopScript != 0);
	CDonutConfirmOption::s_dwFlags		= dwFlags;
}



void CDonutConfirmPropertyPage::_SetData()
{
	DWORD	dwFlags = CDonutConfirmOption::s_dwFlags;

	m_nExit 		  = _check_flag(DONUT_CONFIRM_EXIT			, dwFlags); 	//+++	? 1 : 0;
	m_nCloseAll 	  = _check_flag(DONUT_CONFIRM_CLOSEALL		, dwFlags); 	//+++	? 1 : 0;
	m_nCloseAllExcept = _check_flag(DONUT_CONFIRM_CLOSEALLEXCEPT, dwFlags); 	//+++	? 1 : 0;
	m_nStopScript	  = CDonutConfirmOption::s_dwStopScript != 0;				//+++	? 1 : 0;
}
